using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using NativeChart = Com.Syncfusion.Charts.SfChart;
using System.Collections.ObjectModel;

[assembly: ExportRenderer(typeof(CustomLabel.CustomExt), typeof(CustomLabel.Droid.CustomRenderer))]

namespace CustomLabel.Droid
{
    class CustomRenderer : SfChartRenderer
    {
        CustomExt chart;

        public CustomRenderer()
        {

        }

        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            chart = e.NewElement as CustomExt;

            foreach (var series in Control.Series.ToArray())
            {
                Com.Syncfusion.Charts.LineSeries lineSeries = series as Com.Syncfusion.Charts.LineSeries;
                if (lineSeries != null)
                {
                    lineSeries.DataMarkerLabelCreated += lineSeries_DataMarkerLabelCreated;
                }
            }
        }

        void lineSeries_DataMarkerLabelCreated(object sender, Com.Syncfusion.Charts.ChartSeries.DataMarkerLabelCreatedEventArgs e)
        {
            DataMarkerLabelEventArgs args = new DataMarkerLabelEventArgs(e.P0.Index, e.P0.Label.ToString());
            chart.TriggerDataMarkerLabelCreatedEvent(args);
            e.P0.Label = args.LabelContent.ToString();
        }
    }
}