﻿using System;
using Syncfusion.SfChart.Xforms.iOS;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Syncfusion.SfChart.XForms;
using CustomLabel;
using System.Collections.ObjectModel;
using Foundation;

[assembly: ExportRenderer(typeof(CustomExt), typeof(CustomLabel.iOS.CustomRenderer))]
namespace CustomLabel.iOS
{
	public class CustomRenderer:SfChartRenderer
	{
		private CustomExt chart = null;
		public CustomRenderer()
		{

		}

		protected override void OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<SfChart> e)
		{
			base.OnElementChanged (e);
			chart = e.NewElement as CustomExt;
			if (Control != null) {
				Control.Delegate = new CustomDelegate (chart);
			}
		}

	}

	public class CustomDelegate : ChartDelegate
	{
		CustomExt formChart;

		public CustomDelegate(SfChart chart) : base (chart)
		{
			formChart = chart as CustomExt;
		}

		public override Foundation.NSString GetFormattedDataMarkerLabel (Syncfusion.SfChart.iOS.SFChart chart, Foundation.NSString label, nint index)
		{
			DataMarkerLabelEventArgs args = new DataMarkerLabelEventArgs ((int)index, label);
			formChart.TriggerDataMarkerLabelCreatedEvent(args);

			return (NSString)args.LabelContent;
		}

	}
}
