﻿using System;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace CustomLabel
{
    class Sample : ContentPage
    {
        public Sample()
        {
            var chart = new CustomExt();

            chart.PrimaryAxis = new NumericalAxis();
            chart.SecondaryAxis = new NumericalAxis() { Maximum = 40, Minimum = 0 };

            ObservableCollection<ChartDataPoint> Data1 = new ObservableCollection<ChartDataPoint>();
            ObservableCollection<ChartDataPoint> Data2 = new ObservableCollection<ChartDataPoint>();
            ObservableCollection<ChartDataPoint> Data3 = new ObservableCollection<ChartDataPoint>();

            Data1.Add(new ChartDataPoint(0, 10));
            Data1.Add(new ChartDataPoint(10, 10));

            Data2.Add(new ChartDataPoint(0, 20));
            Data2.Add(new ChartDataPoint(10, 20));

            Data3.Add(new ChartDataPoint(0, 30));
            Data3.Add(new ChartDataPoint(10, 30));

            LineSeries series = new LineSeries { ItemsSource = Data1, StrokeWidth=5 };

            LineSeries series1 = new LineSeries { ItemsSource = Data2, StrokeWidth = 5 };

            LineSeries series2 = new LineSeries { ItemsSource = Data3, StrokeWidth = 5 };          

            series.DataMarker = new ChartDataMarker() { UseSeriesPalette = false};
            series.DataMarker.ConnectorLineStyle.ConnectorHeight = 20;
            series.DataMarker.ConnectorLineStyle.StrokeColor = Color.Transparent;
            series.DataMarker.ConnectorLineStyle.ConnectorRotationAngle = 90;

            series1.DataMarker = new ChartDataMarker() { UseSeriesPalette = false };
            series1.DataMarker.ConnectorLineStyle.ConnectorHeight = 20;
            series1.DataMarker.ConnectorLineStyle.StrokeColor = Color.Transparent;
            series1.DataMarker.ConnectorLineStyle.ConnectorRotationAngle = 90;

            series2.DataMarker = new ChartDataMarker() { UseSeriesPalette = false };
            series2.DataMarker.ConnectorLineStyle.ConnectorHeight = 20;
            series2.DataMarker.ConnectorLineStyle.StrokeColor = Color.Transparent;
            series2.DataMarker.ConnectorLineStyle.ConnectorRotationAngle = 90;

            chart.DataMarkerLabelCreated += (object sender, DataMarkerLabelEventArgs e) =>
            {
                if (e.Index != Data1.Count - 1)
                    e.LabelContent = "";
            };            

            chart.Series.Add(series);
            chart.Series.Add(series1);
            chart.Series.Add(series2);
            Content = chart;
        }
	}
}
